PETSc version 3.15.5
Fix/Edit manual page

# PetscHMapTGetPairs

Get all (key,value) pairs from a hash table

### Synopsis

    #include <petsc/private/hashmap.h>
    PetscErrorCode PetscHMapTGetPairs(PetscHMapT ht,PetscInt *off,KeyType karray[],ValType varray[])

### Input Parameters

| ht | - The hash table
| off | - Input offset in array (usually zero)
| karray | - Array where to put hash table keys into

| varray | - Array where to put hash table values into

### Output Parameter

| off | - Output offset in array (output offset = input offset + hash table size)
| karray | - Array filled with the hash table keys

| varray | - Array filled with the hash table values

### See Also

PetscHSetTGetSize(), PetscHMapTGetKeys(), PetscHMapTGetVals()

### Level

developer

### Location

include/petsc/private/hashmap.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages